org.apache.xerces.impl.xs.identity

## Class Field.Matcher

- java.lang.Object
- - org.apache.xerces.impl.xs.identity.XPathMatcher
  - - org.apache.xerces.impl.xs.identity.Field.Matcher

Enclosing class:
  Field

    protected class Field.Matcher
    extends XPathMatcher

Field matcher.

Author:
  Andy Clark, IBM

### Field Summary

Fields
`protected boolean` `fMayMatch` A flag indicating whether the field is allowed to match a value.
`protected ValueStore` `fStore` Value store for data values.

### Fields inherited from class org.apache.xerces.impl.xs.identity.XPathMatcher

`DEBUG_ALL, DEBUG_ANY, DEBUG_MATCH, DEBUG_METHODS, DEBUG_METHODS2, DEBUG_METHODS3, DEBUG_STACK, fMatchedString, MATCHED, MATCHED_ATTRIBUTE, MATCHED_DESCENDANT, MATCHED_DESCENDANT_PREVIOUS`

### Constructor Summary

Constructors
Constructor and Description
`Matcher(Field.XPath xpath, ValueStore store)` Constructs a field matcher.

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `handleContent(org.apache.xerces.xs.XSTypeDefinition type, boolean nillable, java.lang.Object actualValue, short valueType, org.apache.xerces.xs.ShortList itemValueType)`
`protected void` `matched(java.lang.Object actualValue, short valueType, org.apache.xerces.xs.ShortList itemValueType, boolean isNil)` This method is called when the XPath handler matches the XPath expression.

### Methods inherited from class org.apache.xerces.impl.xs.identity.XPathMatcher

`endElement, isMatched, startDocumentFragment, startElement, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### fStore

    protected final ValueStore fStore

Value store for data values.

#### fMayMatch

    protected boolean fMayMatch

A flag indicating whether the field is allowed to match a value.

### Constructor Detail

#### Matcher

    public Matcher(Field.XPath xpath,
                   ValueStore store)

Constructs a field matcher.

### Method Detail

#### matched

    protected void matched(java.lang.Object actualValue,
                           short valueType,
                           org.apache.xerces.xs.ShortList itemValueType,
                           boolean isNil)

This method is called when the XPath handler matches the XPath expression.

Overrides:
  `matched` in class `XPathMatcher`

#### handleContent

    protected void handleContent(org.apache.xerces.xs.XSTypeDefinition type,
                                 boolean nillable,
                                 java.lang.Object actualValue,
                                 short valueType,
                                 org.apache.xerces.xs.ShortList itemValueType)

Overrides:
  `handleContent` in class `XPathMatcher`